> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merciasquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Me



## OpenAPI

````yaml get /discord/authentication/me
openapi: 3.0.0
info:
  title: discord
  version: 1.0.0
servers:
  - url: https://api.merciasquill.com
security:
  - ApiKeyAuth: []
paths:
  /discord/authentication/me:
    get:
      tags:
        - discord_authentication_me
      summary: public
      parameters:
        - name: force
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: raw_data
          in: query
          description: ''
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  username:
                    type: string
                  displayName:
                    type: string
                  avatarUrl:
                    type: string
              examples:
                merciasquill:
                  value:
                    id: '1248045928124907541'
                    username: merciasquill
                    displayName: Mercia's Quill
                    avatarUrl: >-
                      https://cdn.discordapp.com/avatars/1248045928124907541/cf2966973a8749d8cff395b483c8e039.png?size=4096
                  summary: merciasquill
                merciasquill_raw:
                  value:
                    id: '1248045928124907541'
                    username: merciasquill
                    avatar: cf2966973a8749d8cff395b483c8e039
                    discriminator: '0'
                    public_flags: 0
                    flags: 0
                    banner: null
                    accent_color: 1052180
                    global_name: Mercia's Quill
                    avatar_decoration_data: null
                    collectibles: null
                    display_name_styles: null
                    banner_color: '#100e14'
                    clan: null
                    primary_guild: null
                    mfa_enabled: true
                    locale: en-GB
                    premium_type: 0
                  summary: merciasquill_raw
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.